import React from 'react';

export const AxisBottom = ({ xScale, innerHeight, axisOffset }) =>
  xScale.ticks().map((t) => (
    <g className="axis" key={t} transform={`translate(${xScale(t)},0)`}>
      <text y={innerHeight + axisOffset}>{t}</text>
      <line y2={innerHeight} />
    </g>
  ));
