import React from 'react';

export const AxisLeft = ({ yScale, innerWidth, axisOffset }) =>
  yScale.ticks(5).map((t) => (
    <g className="axis" key={t} transform={`translate(0,${yScale(t)})`}>
      <text x={-axisOffset} dy=".32em">
        {t}
      </text>
      <line x2={innerWidth}></line>
    </g>
  ));
