import React from 'react';

export const Marks = ({
  data,
  xScale,
  xValue,
  yScale,
  yValue,
  cScale,
  cValue,
  circleR,
  markOpacity,
  hoveredVal
}) =>
  data.map((d, i) => (
    <circle
      key={i}
      className={
        hoveredVal && hoveredVal !== cValue(d) ? 'unhovered' : 'hovered'
      }
      r={circleR}
      fill={cScale(cValue(d))}
      cx={xScale(xValue(d))}
      cy={yScale(yValue(d))}
      opacity={hoveredVal && hoveredVal !== cValue(d) ? 0.2 : markOpacity}
    />
  ));
